#version 330 core

uniform sampler2D color_texture;
uniform vec3 color;

in vec2 ex_uv;

out vec4 out_color;

void main(void)
{
	vec4 texel = texture2D(color_texture, ex_uv);
	out_color = vec4(color.r, color.g, color.b, texel.a);
}